import { useEditor } from "@/modules/editor";
import { queenApi } from "queenjs";
import { string } from "vue-types";
import { createUIComp } from "../../defines/createUIComp";

export const Component = createUIComp({
  props: {
    value: string().def(""),
  },
  emits: ["update:value"],
  setup(props, { emit }) {
    const { store } = useEditor();
    async function changeVal() {
      const files = await queenApi.selectFile();
      emit("update:value", URL.createObjectURL(files[0]));
    }
    return () => (
      <img
        class="w-1/1 h-1/1"
        src={props.value}
        onClick={store.isEditMode ? changeVal : undefined}
      />
    );
  },
});
