import { any } from "vue-types";
import { options } from ".";
import { createUIComp } from "../../../defines/createUIComp";
import { Text } from "../../..";
import { css } from "@linaria/core";

export const Component = createUIComp({
  props: {
    value: any<typeof options.value>().isRequired,
  },
  setup(props) {
    return () => (
      <Text.Component
        style={{
          "--theme-color": props.value.themeColor,
        }}
        class={[
          compStyle,
          props.value.themeType && `style_${props.value.themeType}`,
        ]}
        v-model={[props.value.title, "value"]}
      />
    );
  },
});

const compStyle = css`
  &.style_border {
    border-top: 1px solid;
    border-bottom: 1px solid;
    border-color: var(--theme-color);
  }
`;
