import { useResource } from "@/modules/resource";
import { useQueditor } from "@queenjs-modules/queditor";
import { defineUI } from "queenjs";

export default defineUI({
  setup() {
    const resource = useResource();
    const queditor = useQueditor();

    queditor.actions.on("updateCurrPackFormData:success", () => {
      const matConf = resource.store.matSlots.find(
        (item) => item.id == resource.store.activeKeys.id
      );
      if (matConf) {
        matConf.material = queditor.store.currActiveMat;
      }
    });

    return () => {
      return (
        <div class="w-300px flex flex-col">
          <div class="p-15px text-16px text-white border-dark-800 border-0 border-b-1 border-solid">
            面料编辑
          </div>
          <div class="px-15px py-15px flex-1 overflow-y-auto scrollbar">
            <queditor.components.Panel.CurrEdit />
          </div>
        </div>
      );
    };
  },
});
